### Function

# EBookContacts PhoneNumber get_country_code_for_region

since: 3.8

#### Declaration [src]

    gint
    e_phone_number_get_country_code_for_region (
      const gchar* region_code,
      GError** error
    )

#### Description [src]

Retrieves the preferred country calling code for `region_code`, e.g. 358 for “fi” or 1 for “en_US@UTF-8”.

If `NULL` is passed for `region_code` the default region as returned by `e_phone_number_get_default_region()` is used.

Available since: 3.8

#### Parameters

`region_code`

  Type: `const gchar*`

  A two-letter country code, a locale name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

A valid country calling code, or zero if an unknown region code was passed.